oracle.adf.view.rich.context

## Class WindowIdProviderBase

- java.lang.Object
- - oracle.adf.view.rich.context.WindowIdProvider
  - - oracle.adf.view.rich.context.WindowIdProviderBase

- Deprecated.
  Use `WindowManager`.

      @Deprecated
       @Exported
      public abstract class WindowIdProviderBase
      extends WindowIdProvider

  A base implementation of WindowIdProvider as a convenience for implementers. Subclassers must implement getCurrentWindowId(), and will usually want to override windowOpened() and isNewWindow().
  Author:
    Adam Winer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowIdProviderBase()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addWindowCloseListener(WindowCloseListener listener)` Deprecated. Adds a WindowCloseListener.
    `abstract String` | `getCurrentWindowId(javax.faces.context.FacesContext context)` Deprecated. Gets the ID for the current window, or null if no ID is known.
    `boolean` | `isNewWindow(javax.faces.context.FacesContext context)` Deprecated. Default implementation; returns true if windowOpened() has been called during this request.
    `void` | `removeWindowCloseListener(WindowCloseListener listener)` Deprecated. Removes a WindowCloseListener.
    `void` | `windowClosed(javax.faces.context.FacesContext context, String windowId)` Deprecated. Called to notify the WindowIdProvider implementation that a window has been closed.
    `String` | `windowOpened(javax.faces.context.FacesContext context, String baseWindowId)` Deprecated. Called to notify the WindowIdProvider implementation that a new window has been opened.

    - ### Methods inherited from class oracle.adf.view.rich.context.WindowIdProvider

      `decodeWindowId, getRedirectURL, isWindowIdAvailable, needsWindowUnloadedEvents, windowOpened, windowUnloaded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowIdProviderBase

          public WindowIdProviderBase()

      Deprecated.

  - ### Method Detail

    - #### getCurrentWindowId

          public abstract String getCurrentWindowId(javax.faces.context.FacesContext context)

      Deprecated.
      Description copied from class: `WindowIdProvider`
      Gets the ID for the current window, or null if no ID is known. Window IDs must consist entirely of ASCII letters (A-Z, a-z) and digits (0-9) and underscores ("_").
      Specified by:
        `getCurrentWindowId` in class `WindowIdProvider`
      Parameters:
        `context` - the faces context.
      Returns:
        the ID for the current window.

    - #### isNewWindow

          public boolean isNewWindow(javax.faces.context.FacesContext context)

      Deprecated.
      Default implementation; returns true if windowOpened() has been called during this request. Subclassers should extend this method if they have an ability to know up front that a window is new.
      Specified by:
        `isNewWindow` in class `WindowIdProvider`
      Parameters:
        `context` - the faces context.
      Returns:
        true if the current request is known to come from a new window.

    - #### windowOpened

          public String windowOpened(javax.faces.context.FacesContext context,
                                     String baseWindowId)

      Deprecated.
      Description copied from class: `WindowIdProvider`
      Called to notify the WindowIdProvider implementation that a new window has been opened. Users of ADF Faces must not call this method. The implementation may choose to redirect the user to a new URL. In either case, the value of getCurrentWindowId() will be used to set this new window's ID. If the URL-to-redirect-to is the same as the current URL, except for different query parameters, ADF Faces will not necessarily redirect; it may instead simply update the current page's contents so that subsequent postbacks will contain the proper query parameters.
      Specified by:
        `windowOpened` in class `WindowIdProvider`
      Parameters:
        `context` - the gaces context
        `baseWindowId` - the ID of the window that launched this, or null if no window is known as the source
      Returns:
        the URL to redirect to, if a redirection is required, or null if no redirection is required.

    - #### windowClosed

          public void windowClosed(javax.faces.context.FacesContext context,
                                   String windowId)

      Deprecated.
      Description copied from class: `WindowIdProvider`
      Called to notify the WindowIdProvider implementation that a window has been closed. NOTE: this method is not called by ADF at this time.
      Specified by:
        `windowClosed` in class `WindowIdProvider`
      Parameters:
        `context` - the faces context.
        `windowId` - the windows id.

    - #### addWindowCloseListener

          public void addWindowCloseListener(WindowCloseListener listener)

      Deprecated.
      Description copied from class: `WindowIdProvider`
      Adds a WindowCloseListener.
      Specified by:
        `addWindowCloseListener` in class `WindowIdProvider`
      Parameters:
        `listener` - the window close listener.

    - #### removeWindowCloseListener

          public void removeWindowCloseListener(WindowCloseListener listener)

      Deprecated.
      Description copied from class: `WindowIdProvider`
      Removes a WindowCloseListener.
      Specified by:
        `removeWindowCloseListener` in class `WindowIdProvider`
      Parameters:
        `listener` - the windows close listener.

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.